This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446628 - /lib/udev/cdrom_id segfaults.... can't create DVD...
/lib/udev/cdrom_id segfaults.... can't create DVD...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 09:44 EDT by Tom London
Modified: 2008-05-16 06:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 06:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-05-15 09:44:34 EDT
Description of problem:
Trying to create DVD of FC9.iso.

I get this in /var/log/messages:
May 15 06:22:09 localhost kernel: usb 1-6.3: new high speed USB device using
ehci_hcd and address 6
May 15 06:22:09 localhost kernel: usb 1-6.3: configuration #1 chosen from 3 choices
May 15 06:22:09 localhost kernel: usb 1-6.3: New USB device found,
idVendor=05ac, idProduct=1290
May 15 06:22:09 localhost kernel: usb 1-6.3: New USB device strings: Mfr=1,
Product=2, SerialNumber=3
May 15 06:22:09 localhost kernel: usb 1-6.3: Product: iPhone
May 15 06:22:09 localhost kernel: usb 1-6.3: Manufacturer: Apple Inc.
May 15 06:22:09 localhost kernel: usb 1-6.3: SerialNumber:
5aadff906560b2de9d885c299dd5256d4fa11866
May 15 06:23:21 localhost kernel: cdrom_id[3824]: segfault at bfddf000 ip
b80db888 sp bfdde160 error 4 in cdrom_id[b80da000+5000]
May 15 06:23:21 localhost udevd-event[3823]: run_program: '/lib/udev/cdrom_id'
abnormal exit
May 15 06:23:21 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
May 15 06:23:21 localhost kernel: end_request: I/O error, dev sr0, sector 0
May 15 06:23:21 localhost kernel: Buffer I/O error on device sr0, logical block 0
May 15 06:23:21 localhost kernel: end_request: I/O error, dev sr0, sector 0
May 15 06:23:21 localhost kernel: Buffer I/O error on device sr0, logical block 0
May 15 06:32:13 localhost kernel: cdrom_id[4352]: segfault at bf886000 ip
b8083888 sp bf883c10 error 4 in cdrom_id[b8082000+5000]
May 15 06:32:13 localhost udevd-event[4349]: run_program: '/lib/udev/cdrom_id'
abnormal exit
May 15 06:32:13 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
May 15 06:32:13 localhost kernel: end_request: I/O error, dev sr0, sector 0
May 15 06:32:13 localhost kernel: Buffer I/O error on device sr0, logical block 0
May 15 06:32:13 localhost kernel: end_request: I/O error, dev sr0, sector 0
May 15 06:32:13 localhost kernel: Buffer I/O error on device sr0, logical block 0
May 15 06:33:07 localhost kernel: cdrom_id[4436]: segfault at bfa23000 ip
b8020888 sp bfa205b0 error 4 in cdrom_id[b801f000+5000]
May 15 06:33:07 localhost udevd-event[4435]: run_program: '/lib/udev/cdrom_id'
abnormal exit
May 15 06:33:07 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
May 15 06:33:07 localhost kernel: end_request: I/O error, dev sr0, sector 0
May 15 06:33:07 localhost kernel: Buffer I/O error on device sr0, logical block 0
<<<< ETC >>>>

I'm trying this with DVD+R blanks.


Version-Release number of selected component (if applicable):
udev-120-5.20080421git.fc10.i386

How reproducible:
Every time...

Steps to Reproduce:
1. Insert DVD+R
2. Start "write this .iso" (from gnome gui)
3. Fails.....
  
Actual results:


Expected results:


Additional info:
Comment 2 Harald Hoyer 2008-05-16 06:19:38 EDT
udev-121-1.20080516git.fc10

Note You need to log in before you can comment on or make changes to this bug.